cURL
curl --request PUT \
--url https://api.useanima.sh/v1/agents/{agentId}/policy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"policy": {
"email": {
"allowedRecipientDomains": [],
"blockedRecipientDomains": [],
"maxPerHour": 1
},
"contentSafety": {
"scanLevel": "off",
"injectionScanEnabled": false,
"autoApproveBelow": "medium",
"blockedPatterns": []
},
"vault": {
"readOnly": false,
"blocked": false
},
"phone": {
"allowedCountries": [],
"maxSmsPerHour": 1,
"blocked": false
},
"voice": {
"allowedCountries": [],
"blocked": false
}
}
}
'import requests
url = "https://api.useanima.sh/v1/agents/{agentId}/policy"
payload = { "policy": {
"email": {
"allowedRecipientDomains": [],
"blockedRecipientDomains": [],
"maxPerHour": 1
},
"contentSafety": {
"scanLevel": "off",
"injectionScanEnabled": False,
"autoApproveBelow": "medium",
"blockedPatterns": []
},
"vault": {
"readOnly": False,
"blocked": False
},
"phone": {
"allowedCountries": [],
"maxSmsPerHour": 1,
"blocked": False
},
"voice": {
"allowedCountries": [],
"blocked": False
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
policy: {
email: {allowedRecipientDomains: [], blockedRecipientDomains: [], maxPerHour: 1},
contentSafety: {
scanLevel: 'off',
injectionScanEnabled: false,
autoApproveBelow: 'medium',
blockedPatterns: []
},
vault: {readOnly: false, blocked: false},
phone: {allowedCountries: [], maxSmsPerHour: 1, blocked: false},
voice: {allowedCountries: [], blocked: false}
}
})
};
fetch('https://api.useanima.sh/v1/agents/{agentId}/policy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agentId": "<string>",
"policy": {
"email": {
"allowedRecipientDomains": [],
"blockedRecipientDomains": [],
"maxPerHour": 1
},
"contentSafety": {
"scanLevel": "off",
"injectionScanEnabled": false,
"autoApproveBelow": "medium",
"blockedPatterns": []
},
"vault": {
"readOnly": false,
"blocked": false
},
"phone": {
"allowedCountries": [],
"maxSmsPerHour": 1,
"blocked": false
},
"voice": {
"allowedCountries": [],
"blocked": false
}
}
}API Reference
Put agents policy
PUT
/
agents
/
{agentId}
/
policy
cURL
Authorizations
BearerAuthApiKeyAuth
JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer
Path Parameters
Agent identifier to update policy for
Pattern:
^[cC][^\s-]{8,}$Body
application/json
Input for updating an agent's capability policy
New policy to apply
Show child attributes
Show child attributes
⌘I
